<?php 
/**
 * The create result view file of product module of ZDOO.
 *
 * @copyright   Copyright 2009-2016 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     商业软件，非开源软件
 * @author      Xiying Guan <guanxiying@xirangit.com>
 * @package     product 
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../../common/view/header.modal.html.php';?>
<form method='post' id='ajaxForm' action='<?php echo inlink('createResult', "actionID={$action->id}");?>'>
  <table class='table table-form'>
    <tr>
      <td class='w-60px'></td>
      <td class='w-80px'></td>
      <td class='w-140px'></td>
      <td class='w-110px'></td>
      <td></td>
      <td class='w-100px'></td>
    </tr>
    <tr>
      <th><?php echo $lang->product->field->field;?></th>
      <td colspan='2'><?php echo html::select("field", $inputFields, '', "class='form-control chosen'");?></td>
      <td></td>
      <td></td>
      <td></td>
    </tr>
    <tr>
      <th><?php echo $lang->product->action->conditions;?></th>
      <td colspan='2'>
        <?php echo html::hidden("conditions[logicalOperator][]", '', "class='hide'");?>
        <?php echo html::select("conditions[field][]", $conditionFields, '', "class='form-control chosen'");?>
      </td>
      <td><?php echo html::select("conditions[operater][]", $lang->order->operaterList, '', "class='form-control'");?></td>
      <td><?php echo html::input("conditions[param][]", '', "class='form-control'");?></td>
      <td>
        <a href='javascript:;' class='btn addItem'><i class="icon-plus"></i></a>
      </td>
    </tr>
    <tr>
      <th><?php echo $lang->product->action->results;?></th>
      <td colspan='2'><?php echo html::select("result", $lang->order->resultsOptions, '', "class='form-control'");?></td>
      <td colspan='2'><?php echo html::input('resultValue', '', "class='form-control hidden'");?></td>
      <td></td>
    </tr>
    <tr><td class='text-center form-actions' colspan='6'><?php echo html::submitButton();?></td></tr>
  </table>
</form>
<?php /* Hidden condation group. */ ?>
<table id='conditionGroup' class='hide'>
  <tbody>
    <tr>
      <th></th>
      <td><?php echo html::select("conditions[logicalOperator][key]", $lang->order->logicalOperators, '', "id='logicalOperatorkey' class='form-control'");?></td>
      <td><?php echo html::select("conditions[field][key]", $conditionFields, '', "class='form-control'");?></td>
      <td><?php echo html::select("conditions[operater][key]", $lang->order->operaterList, '', "class='form-control'");?></td>
      <td><?php echo html::input("conditions[param][key]", '', "class='form-control'");?></td>
      <td>
        <a href='javascript:;' class='btn addItem'><i class="icon-plus"></i></a>
        <a href='javascript:;' class='btn delItem'><i class="icon-remove"></i></a>
      </td>
    </tr>
  </tbody>
</table>
<?php js::set('key', 1);?>
<?php include '../../../common/view/footer.modal.html.php';?>
